variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_SUBMODULE_FORCE_HTTPS: "true"

build:
  image: registry.gitlab.com/lukenaylor/latex/sagetex-image:latest
  tags: ["x64"]
  script:
    - echo $SHELL
    - source /root/.bashrc
    - sage -pip install "pseudowalls==0.0.3" --extra-index-url https://gitlab.com/api/v4/projects/43962374/packages/pypi/simple
    - make tilt.rs
    - make blank-appendix
    - latexmk -use-make
    - make nb-appendix
    - latexmk -use-make
  artifacts:
    paths:
      - main.pdf
      - "*sagetex*"

